import hello.*;
import org.apache.axis2.transport.http.HttpTransportProperties;
import org.apache.axis2.transport.http.HTTPConstants;
//import org.apache.axis2.client.*;

public class HelloClient
{
    public static void main(String[] args) throws Exception
    {
		HelloWorldStub stub;

		/*
		** Referenz auf Stub holen
		*/
		if (args.length > 0)
			stub = new HelloWorldStub(args[0]);
		else
			stub = new HelloWorldStub();
            
		/*
		** Sitzungsverwaltung einschalten
		*/
		stub._getServiceClient().getOptions().setManageSession(true);

		/*
		** Authentifizierung mit Benutzername und Passwort
		*/
        HttpTransportProperties.Authenticator auth
			= new HttpTransportProperties.Authenticator();
        auth.setUsername("admin");
        auth.setPassword("s3cret");
        auth.setPreemptiveAuthentication(true);
        stub._getServiceClient().getOptions()
			.setProperty(HTTPConstants.AUTHENTICATE, auth);

		/*
		** Jetzt knnen die Operationen des Dienstes (Methoden)
		** aufgerufen werden
		*/
		System.out.println(stub.sayHello("Roland"));
		System.out.println(stub.sayHello("Adrian"));
		System.out.println(stub.sayHello("Andreas"));
    }
}
